Bug 10377 - Не запускается (<unnamed port>: Wrong type to apply: #f)
: Не запускается (<unnamed port>: Wrong type to apply: #f)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-packages)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-12-08 11:41 by
Modified: 2007-01-29 13:50 (History)


Attachments
Вывод strace (12.21 KB, text/plain)
2006-12-08 11:42, Yuriy Al. Shirokov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-12-08 11:41:08
config-packages не запускается (как от обычного пользователя, так и от root):
$ config-packages
Window Manager detected
<unnamed port>: In expression ((assv-ref # #)):
<unnamed port>: Wrong type to apply: #f
$

На экране где-то на секунду успевает показаться окно приложения.

Версия --- alterator-packages-0.5.1
Steps to Reproduce:
Запустить config-packages
Actual Results:  
Приложение падает
------- Comment #1 From 2006-12-08 11:42:44 -------
Created an attachment (id=1699) [details]
Вывод strace

Вот вывод strace.
------- Comment #2 From 2006-12-11 16:27:54 -------
reassign
------- Comment #3 From 2006-12-12 13:09:09 -------
УМВР при alterator-2.9-alt0.28, alterator-packages-0.5.2-alt2 и
sudo /usr/sbin/alterator-standalone packages или sudo config-packages;
просто config-packages говорит:
/usr/bin/config-packages: line 21: alterator-standalone: command not found
(небось не хватает обёрнутого варианта)

fixed?
------- Comment #4 From 2006-12-12 13:11:43 -------
*** Bug 10393 has been marked as a duplicate of this bug. ***
------- Comment #5 From 2006-12-13 19:15:17 -------
(In reply to comment #3)
> УМВР при alterator-2.9-alt0.28, alterator-packages-0.5.2-alt2 и
> sudo /usr/sbin/alterator-standalone packages или sudo config-packages;
...
> fixed?

Падает с той же ошибкой, увы. Обновлю Альтератор и попробую ещё раз, посмотрим,
что получится.
------- Comment #6 From 2006-12-15 00:33:18 -------
(In reply to comment #3)
> УМВР при alterator-2.9-alt0.28, alterator-packages-0.5.2-alt2 и

Обновился. Сейчас alterator-2.9-alt0.29, alterator-packages-0.5.2-alt2

Как не работало, так и не работает. Сообщение об ошибке, впрочем, изменилось:
<unnamed port>: In procedure scm-error in expression (scm-error (quote
misc-error) #f ...):
<unnamed port>: no code for module (alterator session xml)
------- Comment #7 From 2007-01-29 13:50:45 -------
это несогласованность в версиях движка alterator. сейчас всё нормализовалось.